package client;

import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import oracle.jdbc.driver.OracleConnection;


public abstract class Main {
    public Main() {
        super();
    }

    public static void main(String[] args) {


        try {
            OracleConnection conn =
                (OracleConnection) DriverManager.getConnection("jdbc:oracle:thin:@localhost:1521:xe", "hr",
                                                               "hr");
            Statement stmt = conn.createStatement();

            ResultSet rs = stmt.executeQuery("select * from user_change_notification_regs");

            while (rs.next()) {
                conn.unregisterDatabaseChangeNotification(rs.getLong("regid"), rs.getString("callback"));
            }

            rs.close();
            stmt.close();

            System.out.println("DCN deregistration was successfull");

        } catch (SQLException e) {
            System.out.println("Exception: " + e);
        }
    }
}
